package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;
@Service
public interface TableBusiness {
	 /**
     * 数据插入  2015-03-26
     */
    void insert_tables_info(Map<String, Object> entity) throws BusinessException;
    /**
     * 数据更新  2015-03-26
     */
    void update_tables_info(Map<String, Object> entity) throws BusinessException;
    /**
     * 数据删除  2015-03-26
     */
    void delete_tables_info(Map<String, Object> entity) throws BusinessException;
    /**
     * 数据列表  2015-03-27
     */
    List<Map<String, Object>> list_tables_info(Map<String, Object> entity) throws BusinessException;
    /**
     * 数据列表  2015-03-27
     */
    Page<Map<String, Object>> list_tables_info(int pageNo, int pageSize,
    	    Map<String, Object> entity) throws BusinessException;
    /**
     * 数据列表条数  2015-03-27
     */
    int list_tables_info_Count(Map<String, Object> entity) throws BusinessException;
}
